org.apache.geode.cache.operations

## Class RegisterInterestOperationContext

- java.lang.Object
- - org.apache.geode.cache.operations.OperationContext
  - - org.apache.geode.cache.operations.InterestOperationContext
    - - org.apache.geode.cache.operations.RegisterInterestOperationContext

- Deprecated.
  since Geode1.0, use `ResourcePermission` instead

      public class RegisterInterestOperationContext
      extends InterestOperationContext

  Encapsulates a `OperationContext.OperationCode.REGISTER_INTEREST` region operation for the pre-operation case.
  Since:
    GemFire 5.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.geode.cache.operations.OperationContext

      `OperationContext.OperationCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegisterInterestOperationContext(java.lang.Object key, InterestType interestType, InterestResultPolicy policy)` Deprecated. Constructor for the register interest operation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `InterestResultPolicy` | `getInterestResultPolicy()` Deprecated. Get the `InterestResultPolicy` of this register/unregister operation.
    `OperationContext.OperationCode` | `getOperationCode()` Deprecated. Return the operation associated with the `OperationContext` object.

    - ### Methods inherited from class org.apache.geode.cache.operations.InterestOperationContext

      `getInterestType, getKey, isPostOperation, setKey`

    - ### Methods inherited from class org.apache.geode.cache.operations.OperationContext

      `isClientUpdate, isClientUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegisterInterestOperationContext

          public RegisterInterestOperationContext(java.lang.Object key,
                                                  InterestType interestType,
                                                  InterestResultPolicy policy)

      Deprecated.
      Constructor for the register interest operation.
      Parameters:
        `key` - the key or list of keys being registered
        `interestType` - the `InterestType` of the register request
        `policy` - the `InterestResultPolicy` of the register request

  - ### Method Detail

    - #### getOperationCode

          public OperationContext.OperationCode getOperationCode()

      Deprecated.
      Return the operation associated with the `OperationContext` object.
      Specified by:
        `getOperationCode` in class `OperationContext`
      Returns:
        `OperationCode.REGISTER_INTEREST`.

    - #### getInterestResultPolicy

          public InterestResultPolicy getInterestResultPolicy()

      Deprecated.
      Get the `InterestResultPolicy` of this register/unregister operation.
      Returns:
        the `InterestResultPolicy` of this request.